package com.atlassian.bitbucket.mesh.git.commit;

import com.atlassian.bitbucket.mesh.repository.Repository;

import javax.annotation.Nonnull;

public class GetCommitParameters extends AbstractGetCommitParameters {

    private GetCommitParameters(Builder builder) {
        super(builder);
    }

    public static class Builder extends AbstractBuilder<Builder, GetCommitParameters> {

        public Builder(@Nonnull Repository repository, @Nonnull String commitId) {
            super(repository, commitId);
        }

        @Nonnull
        @Override
        public GetCommitParameters build() {
            return new GetCommitParameters(this);
        }

        @Nonnull
        @Override
        protected Builder self() {
            return this;
        }
    }
}
